Bug 138633 - [gimlet] does not show Bn string for Bengali locale
Summary: [gimlet] does not show Bn string for Bengali locale
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jatin Nansi
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: IIIMF Indic 137149
TreeView+ depends on / blocked
 
Reported: 2004-11-10 13:02 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
4 users (show)

Fixed In Version: im-sdk-12.1-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-22 01:13:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jens Petersen 2004-11-10 13:02:09 UTC
Description of problem:
In GNOME sessions with bn_IN and bn_BD gimlet isn't showing
a language string for some reason.

How reproducible:
every time

Steps to Reproduce:
1. Start a GNOME session in bn_IN or bn_BD.
2. Start a gtk app.
  
Actual results:
Gimlet remains blank.

Expected results:
Gimlet should display Bn for Bengali.

Additional info:

Comment 1 Jens Petersen 2004-11-10 13:19:30 UTC
Ok, changing Gimlet's lang data from "bn" to "bn_IN" helps for "bn_IN",
but not "bn_BD".  (For a "bn_BD" session gimlet then shows "En".)

Jatin, can we change the Bengali LE in unitLE to have locale name bn
rather than bn_IN?  (This is already done for some other langs.)

[Personally I would prefer all LEs just to use the two letters for their
language name when there is no ambiguity, but that will have to wait
for FC4.]

Comment 2 Leon Ho 2004-11-11 05:51:17 UTC
Is the difference bn_IN and bn_BD just grammatical? (i.e. will current layouts
be suitable with bn_BD?)

Maybe changing gimlet affects less if the above question is a no.

Comment 3 Jens Petersen 2004-11-11 06:23:40 UTC
Well gimlet's locale/language certainly needs to and is going to
improve, but if we fix it as bn_IN, then people using bn_BD won't
be able to see Bn in gimlet.

It should be equally trivial to change unitLE to say "bn" rather
than "bn_IN" though, and lots of other LEs already do that.

[In the long run LEs shouldn't be hardcoded in gimlet of course...]

Comment 4 Lawrence Lim 2004-11-15 04:52:36 UTC
Had a look with im-sdk-12.1-7. It seems that even when bn is added to
the GIMLET it cannot be selected. Hence, input is not possible in the
bn locale except via using the hotkey menu.

Comment 5 Jens Petersen 2004-11-15 07:45:54 UTC
When gimlet and unitLE agree on the bn locale it works fine,
but when they don't Bengali can't be activated as you opserve.

Comment 6 Jens Petersen 2004-11-17 07:22:50 UTC
This should be fixed in im-sdk-12.1-8.

Comment 7 Lawrence Lim 2004-11-22 01:13:00 UTC
Confirmed fixed in im-sdk-12.1-8. Bn (india) is now being displayed.


Thanks.


Note You need to log in before you can comment on or make changes to this bug.